{- Esta Unit implementa a manuteno do cadastro de funcionrios, realizando
   inseres e futuramente,  remoes e atualizaes.
   Desenvolvido por: Marlia Litwak Neves
   09/07/2003
 -}

 unit uCadFuncionario;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmCadFuncionario = class(TForm)
    pnEhdefendidoPor: TPanel;
    lbNomeDetento: TLabel;
    btnCadFunc: TButton;
    btnFecharCadFunc: TButton;
    edtNomeFunc: TEdit;
    lbRGFunc: TLabel;
    edtRGFunc: TEdit;
    cbSexoFunc: TComboBox;
    lbSexo: TLabel;
    edtFuncaoFunc: TEdit;
    lbFuncaoFunc: TLabel;
    cbNomeGerenteFunc: TComboBox;
    lbSupervisorFunc: TLabel;
    cbCargaHoraria: TComboBox;
    lbCargaHoraria: TLabel;
    cbSetorFunc: TComboBox;
    lbSetorFunc: TLabel;
    cbEhGerente: TComboBox;
    lbGerenteSetor: TLabel;
    btnLimparCadFunc: TButton;
    procedure btnFecharCadFuncClick(Sender: TObject);
    procedure cbEhGerenteChange(Sender: TObject);
    procedure btnCadFuncClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadFuncionario: TfrmCadFuncionario;

implementation
    uses udm, dbtables,uUtil;
{$R *.dfm}

procedure TfrmCadFuncionario.btnFecharCadFuncClick(Sender: TObject);
begin
    Self.Close;
    cbNomeGerenteFunc.Clear;
    cbSetorFunc.Clear;
    cbSetorFunc.Text:='(Selecione)';
    cbNomeGerenteFunc.Text:='(Selecione uma Opo)';
    frmUtil.LimpaEdit(Self);

end;

procedure TfrmCadFuncionario.cbEhGerenteChange(Sender: TObject);
begin
    if cbEhGerente.Text = 'S' then
        cbNomeGerenteFunc.Enabled := False
    else
        cbNomeGerenteFunc.Enabled := True
end;

procedure TfrmCadFuncionario.btnCadFuncClick(Sender: TObject);
var temp, setortemp : string;
begin

     try

        if trim(edtNomeFunc.Text) <> '' then
        begin

            if trim(edtRGFunc.Text) <> '' then
            begin

                if cbSexoFunc.Text <> '(Selecione)' then
                begin

                    if Trim(edtFuncaoFunc.Text) <> '' then
                    begin

                        if cbCargaHoraria.Text <> '(Selecione)' then
                        begin

                            if cbSetorFunc.Text <> '(Selecione)' then
                            begin

                                if cbEhGerente.Text <> '(Selecione)' then
                                begin

                                    if cbEhGerente.Text = 'N' then
                                    begin
                                        dmbd2.qCodGerente.Close;
                                        dmbd2.qCodGerente.Params[0].AsString := cbNomeGerenteFunc.Text;
                                        dmbd2.qCodGerente.Open;
                                        temp := dmbd2.qCodGerente.Fields[0].AsString;
                                        dmbd2.qCodGerente.Close;
                                    end
                                    else
                                        temp := edtRGFunc.Text;

                                    dmbd2.qCodSetor.Close;
                                    dmbd2.qCodSetor.Params[0].AsString := cbSetorFunc.Text;
                                    dmbd2.qCodSetor.Open;
                                    setortemp := dmbd2.qCodSetor.Fields[0].AsString;


                                    dmbd2.spCadFunc.Close;
                                    dmbd2.spCadFunc.Params[0].AsString := edtRGFunc.Text;
                                    dmbd2.spCadFunc.Params[1].AsString := edtNomeFunc.Text;
                                    dmbd2.spCadFunc.Params[2].AsString := cbSexoFunc.Text;
                                    dmbd2.spCadFunc.Params[3].AsString := edtFuncaoFunc.Text;
                                    dmbd2.spCadFunc.Params[4].AsString := temp;
                                    dmbd2.spCadFunc.Params[5].AsString := cbCargaHoraria.Text;
                                    dmbd2.spCadFunc.Params[6].AsInteger := StrToInt(setortemp);
                                    dmbd2.spCadFunc.Params[7].AsString := cbEhGerente.Text;
                                    dmbd2.spCadFunc.ExecProc;

                                    MessageDlg('Funcionrio cadastrado com sucesso.', mtInformation, [mbOK], 0 );
                                end
                                else
                                    MessageDlg('Informe o funcionrio  gerente do setor.', mtError, [mbOK], 0 );
                            end
                            else
                                MessageDlg('Informe o setor do funcionrio.', mtError, [mbOK], 0 );

                        end
                        else
                            MessageDlg('Informe a carga horria do funcionrio.', mtError, [mbOK], 0 );

                    end
                    else
                        MessageDlg('Informe a funo do funcionrio.', mtError, [mbOK], 0 );

                end
                else
                    MessageDlg('Informe o sexo do funcionrio.', mtError, [mbOK], 0 );
            end
            else
                MessageDlg('Preencha o RG do funcionrio.', mtError, [mbOK], 0 );
        end
        else
            MessageDlg('Preencha o nome do funcionrio.', mtError, [mbOK], 0 );

    except on EDBEngineError do
        MessageDlg('Este funcionrio j consta no Sistema.', mtError, [mbOK], 0 );
    end;

end;

procedure TfrmCadFuncionario.FormShow(Sender: TObject);
begin

    dmbd2.qListaSetor.Close;
    dmbd2.qListaSetor.Open;
    while not dmbd2.qListaSetor.Eof do
    begin
        cbSetorFunc.Items.Add(dmbd2.qListaSetor.Fields[0].AsString);
        dmbd2.qListaSetor.Next;
    end;
    dmbd2.qListaSetor.Close;



    dmbd2.qListaFuncionario.Close;
    dmbd2.qListaFuncionario.Open;
    while not dmbd2.qListaFuncionario.Eof do
    begin
        cbNomeGerenteFunc.Items.Add(dmbd2.qListaFuncionario.Fields[0].AsString);
        dmbd2.qListaFuncionario.Next;
    end;

end;

procedure TfrmCadFuncionario.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
    cbNomeGerenteFunc.Clear;
    cbSetorFunc.Clear;
    cbSetorFunc.Text:='(Selecione)';
    cbNomeGerenteFunc.Text:='(Selecione uma Opo)';
    frmUtil.LimpaEdit(Self);
end;

end.
