unit uLogar;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons;


//Messages, Variants,
  //Dialogs, StdCtrls, ExtCtrls;

type
  TPasswordDlg = class(TForm)
    lbPass: TLabel;
    edtPassword: TEdit;
    OKBtn: TButton;
    CancelBtn: TButton;
    edtLogin: TEdit;
    lbLogin: TLabel;
    procedure CancelBtnClick(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PasswordDlg: TPasswordDlg;

implementation
   uses udm, uPrincipalTeste, Messages, Dialogs, ExtCtrls, dbtables;
{$R *.dfm}

procedure TPasswordDlg.CancelBtnClick(Sender: TObject);
begin
    Self.Close;
end;

procedure TPasswordDlg.OKBtnClick(Sender: TObject);
var permiteEntrada : Integer;
begin
    try
    dmbd2.qValidaLogin.Close;
    dmbd2.qValidaLogin.Params[0].AsString := edtLogin.Text;
    dmbd2.qValidaLogin.Params[1].AsString := edtPassword.Text;
    dmbd2.qValidaLogin.Open;
    permiteEntrada := dmbd2.qValidaLogin.Fields[0].AsInteger;
    dmbd2.qValidaLogin.Close;

    if permiteEntrada <> 0 then
    begin

        Self.Visible := False;
        frmPrisaoTech.ShowModal;

        //Self.Hide;
        //PasswordDlg.Close;

    end
    else
    begin
        MessageDlg('Senha e/ou login invlido(s). Digite novamente.', mtError, [mbOK], 0 );
        edtLogin.Clear;
        edtPassword.Clear;
        edtLogin.SetFocus;
    end

    except on EDBEngineError do
        MessageDlg('Problema no banco de dados.', mtError, [mbOK], 0 );
    end;


end;

end.

