{- Esta Unit implementa a manuteno do cadastro de defensores dos presos, realizando
   inseres e futuramente,  remoes e atualizaes.
   Desenvolvido por: Marlia Litwak Neves
   09/07/2003
 -}
unit uCadEhDefendidoPor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmCadastroEhDefendidoPor = class(TForm)
    pnEhdefendidoPor: TPanel;
    cbNomeDetento: TComboBox;
    cbNomeAdvogado: TComboBox;
    btnCadEhDefendPor: TButton;
    btnFecharEhDefendPor: TButton;
    lbNoveAdv: TLabel;
    lbNomeDetento: TLabel;
    procedure btnFecharEhDefendPorClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btnCadEhDefendPorClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadastroEhDefendidoPor: TfrmCadastroEhDefendidoPor;

implementation
    uses udm, dbtables,uUtil;
{$R *.dfm}

procedure TfrmCadastroEhDefendidoPor.btnFecharEhDefendPorClick(
  Sender: TObject);
begin
    cbNomeAdvogado.Clear;
    cbNomeAdvogado.Text := '(Selecione o Advogado)';
    cbNomeDetento.Clear;
    cbNomeDetento.Text := '(Selecione o Detento)';
    Self.Close;
    frmUtil.LimpaEdit(Self);
end;

procedure TfrmCadastroEhDefendidoPor.FormShow(Sender: TObject);
begin
    dmbd2.qNomesAdv.Close;
    dmbd2.qNomesAdv.Open;
    while not dmbd2.qNomesAdv.Eof do
    begin
        cbNomeAdvogado.Items.Add(dmbd2.qNomesAdv.Fields[0].AsString);
        dmbd2.qNomesAdv.Next;
    end;

    dmbd2.qNomesAdv.Close;

    dmbd2.qListaDetento.Close;
    dmbd2.qListaDetento.Open;
    while not dmbd2.qListaDetento.Eof do
    begin
        cbNomeDetento.Items.Add(dmbd2.qListaDetento.Fields[0].AsString);
        dmbd2.qListaDetento.Next;
    end;
    dmbd2.qListaDetento.Close;

end;

procedure TfrmCadastroEhDefendidoPor.btnCadEhDefendPorClick(
  Sender: TObject);
var rgtemp : string;
    numoabtemp : string;
begin

    try
    if cbNomeAdvogado.Text <> '(Selecione o Advogado)' then
    begin
        if cbNomeDetento.Text <> '(Selecione o Detento)' then
        begin
            dmbd2.qCodOAB.Close;
            dmbd2.qCodOAB.Params[0].AsString := cbNomeAdvogado.Text;
            dmbd2.qCodOAB.Open;
            numoabtemp := dmbd2.qCodOAB.Fields[0].AsString;
            dmbd2.qCodOAB.Close;

            dmbd2.qRGDetento.Close;
            dmbd2.qRGDetento.Params[0].AsString := cbNomeDetento.Text;
            dmbd2.qRGDetento.Open;
            rgtemp := dmbd2.qRGDetento.Fields[0].AsString;
            dmbd2.qRGDetento.Close;

            dmbd2.spCadDefesas.Close;
            dmbd2.spCadDefesas.Params[0].AsString := rgtemp;
            dmbd2.spCadDefesas.Params[1].AsString := numoabtemp;
            dmbd2.spCadDefesas.ExecProc;
            MessageDlg('Defesa cadastrada com sucesso.', mtInformation, [mbOK], 0 );

        end
        else
            MessageDlg('Informe o nome do detento.', mtError, [mbOK], 0 );
    end
    else
        MessageDlg('Informe o advogado do detento.', mtError, [mbOK], 0 );



    except on EDBEngineError do
        MessageDlg('Esta defesa j consta no Sistema ou ocorreram problemas ' + #13
                   + 'no banco de dados.', mtError, [mbOK], 0 );
    end;
end;

procedure TfrmCadastroEhDefendidoPor.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin

    cbNomeAdvogado.Text := '(Selecione o Advogado)';
    cbNomeDetento.Text := '(Selecione o Detento)';

end;

end.
