unit uCadastrarCela;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmCadastroCelas = class(TForm)
    pnCadastroCelas: TPanel;
    edtnumCela: TEdit;
    Label1: TLabel;
    lbCapacidadeCela: TLabel;
    edtCapacidadeCela: TEdit;
    Label2: TLabel;
    cbCelaEspecial: TComboBox;
    Label3: TLabel;
    cbRGResp: TComboBox;
    lbResponsavel: TLabel;
    lbLocalizacao: TLabel;
    cbLocalizacaoCela: TComboBox;
    btnCadastrar: TButton;
    btnLimpar: TButton;
    btnSair: TButton;
    procedure btnSairClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btnCadastrarClick(Sender: TObject);
    procedure btnLimparClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadastroCelas: TfrmCadastroCelas;

implementation
uses uDM,dbtables,uPrincipalTeste,uUTil;
{$R *.dfm}

procedure TfrmCadastroCelas.btnSairClick(Sender: TObject);
begin
  Self.Close;
  cbRGResp.Clear;
  cbRGResp.Text := '(Selecione)';
  cbLocalizacaoCela.Clear;
  cbLocalizacaoCela.Text := '(Selecione)';
  cbCelaEspecial.Text := '(Selecione)';
  frmUtil.LimpaEdit(Self);
end;

procedure TfrmCadastroCelas.FormShow(Sender: TObject);
begin
//insere nas combo box os dados
dmbd2.qListaFuncionario.Open;
while not dmbd2.qListaFuncionario.Eof do begin
  cbRGResp.Items.Add(dmbd2.qListaFuncionario.Fields[0].AsString);
  dmbd2.qListaFuncionario.Next;
  end;
dmbd2.qListaFuncionario.Close;

dmbd2.qinsereLocaliz.Open;
while not dmbd2.qinsereLocaliz.Eof do begin
  cbLocalizacaoCela.Items.Add(dmbd2.qinsereLocaliz.Fields[0].AsString);
  dmbd2.qinsereLocaliz.Next;
  end;
dmbd2.qinsereLocaliz.Close;





end;

procedure TfrmCadastroCelas.btnCadastrarClick(Sender: TObject);
var rgTemp:String;
    numLocalizTemp:Integer;
begin
try

  dmbd2.spCadCela.Params[0].AsInteger:= StrToInt(edtnumCela.Text);
  dmbd2.spCadCela.Params[1].AsInteger:=StrToInt(edtCapacidadeCela.Text);
  dmbd2.spCadCela.Params[2].AsString := cbCelaEspecial.Text;
  // abre a query
  dmbd2.qCodGerente.Params[0].AsString:=cbRGResp.Text;

  dmbd2.qCodGerente.Open;

  rgTemp:=dmbd2.qCodGerente.Fields[0].AsString;

  dmbd2.qCodGerente.Close;

  dmbd2.spCadCela.Params[3].AsString :=rgTemp;

  dmbd2.qnumLocaliz.Params[0].AsString:=cbLocalizacaoCela.Text;

  dmbd2.qnumLocaliz.Open;

  numLocalizTemp := dmbd2.qnumLocaliz.Fields[0].asinteger;

  dmbd2.qnumLocaliz.Close;

  dmbd2.spCadCela.Params[4].AsInteger :=numLocalizTemp;
  
  dmbd2.spCadCela.ExecProc;
  MessageDlg('Cela cadastrada com sucesso.', mtInformation, [mbOK], 0 );
  except on  EDBEngineError do begin
    MessageDlg('Problemas com o Banco de Dados',mtError,[mbok],0);
    end;

end;
end;

procedure TfrmCadastroCelas.btnLimparClick(Sender: TObject);
begin
frmPrisaoTech.LimpaEdit(Self);
end;

end.
