{- Esta Unit implementa a manuteno do cadastro de advogados, realizando
   inseres e futuramente,  remoes e atualizaes.
   Desenvolvido por: Marlia Litwak Neves
   08/07/2003
 -}

unit uCadastroAdvogado;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmCadAdvogado = class(TForm)  
    Panel1: TPanel;
    btnCadAdv: TButton;
    btnLimparAdv: TButton;
    btnSairCadAdv: TButton;
    edtNomeAdv: TEdit;
    lbNomeAdv: TLabel;
    edtOABAdv: TEdit;
    lbOABAdv: TLabel;
    edtEMail: TEdit;
    lbEmailAdv: TLabel;
    procedure btnSairCadAdvClick(Sender: TObject);
    procedure btnCadAdvClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadAdvogado: TfrmCadAdvogado;

implementation
   uses udm, DBTables,uUTil;
{$R *.dfm}

{- Este procedimento fecha a janela de cadastro de advogados. -}
procedure TfrmCadAdvogado.btnSairCadAdvClick(Sender: TObject);
begin
    Self.Close;
    frmUtil.LimpaEdit(self);
end;

procedure TfrmCadAdvogado.btnCadAdvClick(Sender: TObject);
begin
    try
        dmbd2.spCadAdv.Close;
        dmbd2.spCadAdv.Params[0].AsString := edtOABAdv.Text;
        dmbd2.spCadAdv.Params[1].AsString := edtNomeAdv.Text;

        // caso o advogado no possua e-mail
        dmbd2.spCadAdv.Params[2].Clear;
        if trim(edtEMail.Text) <> '' then
            dmbd2.spCadAdv.Params[2].AsString := edtEMail.Text;

        dmbd2.spCadAdv.ExecProc;
        MessageDlg('Advogado cadastrado com sucesso.', mtInformation, [mbOK], 0 );
    except on EDBEngineError do
        MessageDlg('Este advogado j consta no Sistema.', mtError, [mbOK], 0 );
    end;
end;

end. // fim do cdigo da Unit uCadastroAdvogado
