unit uCadastroSetores;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmCadastroSetores = class(TForm)
    pnCadastroSetores: TPanel;
    lbNumeroSetor: TLabel;
    lbNomesetor: TLabel;
    lbNumeroLocalizacaoSetor: TLabel;
    cbNumLocSetor: TComboBox;
    edtNumeroSetor: TEdit;
    edtNomeSetor: TEdit;
    btnCadastrar: TButton;
    btnLimpar: TButton;
    btnSair: TButton;
    procedure btnSairClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btnCadastrarClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadastroSetores: TfrmCadastroSetores;

implementation

uses uDM,dbtables,uUTil;

{$R *.dfm}

procedure TfrmCadastroSetores.btnSairClick(Sender: TObject);
begin
Self.Close;
cbNumLocSetor.Clear;
cbNumLocSetor.Text:='(Selecione)';
frmUtil.LimpaEdit(Self);
end;

procedure TfrmCadastroSetores.FormShow(Sender: TObject);
begin

dmbd2.qinsereLocaliz.Open;
while not dmbd2.qinsereLocaliz.Eof do begin
  cbNumLocSetor.Items.Add(dmbd2.qinsereLocaliz.Fields[0].AsString);
  dmbd2.qinsereLocaliz.Next;
  end;
dmbd2.qinsereLocaliz.Close;
end;

procedure TfrmCadastroSetores.btnCadastrarClick(Sender: TObject);
begin
try
  dmbd2.spCadSetor.Params[0].AsInteger:=StrToInt(edtNumeroSetor.text);
  dmbd2.spCadSetor.Params[1].AsString := edtNomeSetor.Text;
  dmbd2.spCadSetor.Params[2].AsInteger:=strtoint(cbNumLocSetor.Text);
  dmbd2.spCadSetor.ExecProc;
  ShowMessage('Setor Cadastrado com sucesso!');
  except on EDBEngineError do
  MessageDlg('Problemas com o Banco de Dados',mtError,[mbok],0);
end;
end;

procedure TfrmCadastroSetores.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  cbNumLocSetor.Clear;
  cbNumLocSetor.Text:='(Selecione)';
  frmUtil.LimpaEdit(Self);
end;

end.
