{- Esta Unit implementa a manuteno do cadastro de telefones dos advogados, realizando
   inseres e futuramente,  remoes e atualizaes.
   Desenvolvido por: Marlia Litwak Neves
   08/07/2003
 -}
 
unit uCadastroTelefoneAdv;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmCadTelefonesAdv = class(TForm)
    pnTelefonesAdvogado: TPanel;
    btnCadastrarFone: TButton;
    btnLimparCampos: TButton;
    btnSairCadFones: TButton;
    cbNomeAdvs: TComboBox;
    lbNomeAdv: TLabel;
    edtDDD: TEdit;
    edtNumeroFone: TEdit;
    lbDDD: TLabel;
    lbNumeroFone: TLabel;
    lbTelefone: TLabel;
    procedure FormShow(Sender: TObject);
    procedure btnSairCadFonesClick(Sender: TObject);
    procedure btnCadastrarFoneClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadTelefonesAdv: TfrmCadTelefonesAdv;

implementation
   uses udm, dbtables,uUTil;
{$R *.dfm}

procedure TfrmCadTelefonesAdv.FormShow(Sender: TObject);
begin
    dmbd2.qNomesAdv.Close;
    dmbd2.qNomesAdv.Open;
    while not dmbd2.qNomesAdv.Eof do
    begin
        cbNomeAdvs.Items.Add(dmbd2.qNomesAdv.Fields[0].AsString);
        dmbd2.qNomesAdv.Next;
    end;
    dmbd2.qNomesAdv.Close;

end;

procedure TfrmCadTelefonesAdv.btnSairCadFonesClick(Sender: TObject);
begin
    Self.Close;
    cbNomeAdvs.Clear;
    cbNomeAdvs.Text:='(Selecione uma Opo)';
end;

procedure TfrmCadTelefonesAdv.btnCadastrarFoneClick(Sender: TObject);
var Temp : String;
begin
    dmbd2.qCodOAB.Close;
    dmbd2.qCodOAB.Params[0].AsString := cbNomeAdvs.Text;
    dmbd2.qCodOAB.Open;
    Temp := dmbd2.qCodOAB.Fields[0].AsString;
    dmbd2.qCodOAB.Close;

    if temp <> '' then
    begin
        try
            dmbd2.spCadFonesAdv.Close;
            dmbd2.spCadFonesAdv.Params[0].AsString := '(' + edtDDD.Text + ')'
                                                      + edtNumeroFone.Text;
            dmbd2.spCadFonesAdv.Params[1].AsString := Temp;
            dmbd2.spCadFonesAdv.ExecProc;
            MessageDlg('Telefone cadastrado com sucesso.', mtInformation, [mbOK], 0 );
            except on EDBEngineError do
                MessageDlg('Este telefone para o advogado selecionado j consta no Sistema.',
                           mtError, [mbOK], 0 );
            end;
    end
    else
        MessageDlg('Este advogado no consta no Sistema.', mtError, [mbOK], 0 );
end;

procedure TfrmCadTelefonesAdv.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   cbNomeAdvs.Clear;
   cbNomeAdvs.Text:='(Selecione uma Opo)';
   frmUtil.LimpaEdit(Self);
end;

end.
