{- Esta Unit implementa a manuteno do cadastro de visitantes, realizando
   inseres e futuramente,  remoes e atualizaes.
   Desenvolvido por: Marlia Litwak Neves
   09/07/2003
 -}
unit uCadastroVisitantes;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmVisitantes = class(TForm)
    pnCadastroVisitantes: TPanel;
    lbNomeVisitante: TLabel;
    lbRGVisitante: TLabel;
    lbEmailVisitante: TLabel;
    btnCadVisit: TButton;
    btnLimparVisit: TButton;
    btnSairCadVisit: TButton;
    edtNomeVisitantes: TEdit;
    edtRG: TEdit;
    edtEMail: TEdit;
    Label1: TLabel;
    edtObs: TEdit;
    Label2: TLabel;
    procedure btnSairCadVisitClick(Sender: TObject);
    procedure btnCadVisitClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmVisitantes: TfrmVisitantes;

implementation
  uses udm, dbtables, Math,uUTil;
{$R *.dfm}

{- Este procedimento fecha a janela de cadastro de visitantes. -}
procedure TfrmVisitantes.btnSairCadVisitClick(Sender: TObject);
begin
    Self.Close;
    frmUtil.LimpaEdit(Self);
end;

procedure TfrmVisitantes.btnCadVisitClick(Sender: TObject);
begin
    try

        if trim(edtNomeVisitantes.Text) <> '' then
        begin

            if trim(edtRG.Text) <> '' then
            begin


                dmbd2.spCadVisitantes.Close;
                dmbd2.spCadVisitantes.Params[0].AsString := edtRG.Text;
                dmbd2.spCadVisitantes.Params[1].AsString := edtNomeVisitantes.Text;

                // caso o visitante possua e-mail
                dmbd2.spCadVisitantes.Params[2].Clear;
                if  trim(edtEMail.Text) <> '' then
                    dmbd2.spCadVisitantes.Params[2].AsString := edtEMail.Text;

                // caso o visitante no possua observaes
                dmbd2.spCadVisitantes.Params[3].Clear;
                if trim(edtObs.Text) <> '' then
                    dmbd2.spCadVisitantes.Params[3].AsString := edtObs.Text;

                dmbd2.spCadVisitantes.ExecProc;
                MessageDlg('Visitante cadastrado com sucesso.', mtInformation, [mbOK], 0 );
            end
            else
                MessageDlg('Preencha o RG do visitante.', mtError, [mbOK], 0 );
        end
        else
            MessageDlg('Preencha o nome do visitante.', mtError, [mbOK], 0 );

    except on EDBEngineError do
        MessageDlg('Este visitante j consta no Sistema.', mtError, [mbOK], 0 );
    end;
end;

procedure TfrmVisitantes.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Self.Close;
    frmUtil.LimpaEdit(Self);
end;

end. // fim do cdigo da Unit uCadastroVisitantes
