{- Esta Unit implementa a manuteno do cadastro de visitas, realizando
   inseres e futuramente,  remoes e atualizaes.
   Desenvolvido por: Marlia Litwak Neves
   10/07/2003
 -}
unit uCadastroVisitas;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Mask, StdCtrls, ExtCtrls;

type
  TfrmCadastroVisitas = class(TForm)
    pnCadastroVisitas: TPanel;
    lbNomeVisitante: TLabel;
    lbRGFunc: TLabel;
    edtNomeDetento: TLabel;
    cbNomeDetentoVisitado: TComboBox;
    lbOcorrencias: TLabel;
    btnCadFunc: TButton;
    btnLimparCadFunc: TButton;
    btnFecharCadFunc: TButton;
    cbNomeVisitante: TComboBox;
    cbNomeFunc: TComboBox;
    edtOcorrencias: TEdit;
    EdtDataVisita: TLabel;
    EdtHoraVisita: TLabel;
    Label3: TLabel;
    mskDataVisita: TMaskEdit;
    mskHoraVisita: TMaskEdit;
    Label1: TLabel;
    edtPresentes: TEdit;
    lbPresentes: TLabel;
    edtVinculo: TEdit;
    lbVinculo: TLabel;
    procedure btnFecharCadFuncClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btnCadFuncClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadastroVisitas: TfrmCadastroVisitas;

implementation
     uses udm, dbtables,uUtil;
{$R *.dfm}

procedure TfrmCadastroVisitas.btnFecharCadFuncClick(Sender: TObject);
begin
    Self.Close;
    cbNomeDetentoVisitado.Clear;
    cbNomeDetentoVisitado.Text := '(Selecione uma opo)';
    cbNomeVisitante.Clear;
    cbNomeVisitante.Text := '(Selecione uma opo)';
    cbNomeFunc.Clear;
    cbNomeFunc.Text := '(Selecione uma opo)';
    frmUtil.LimpaEdit(Self);
end;

procedure TfrmCadastroVisitas.FormShow(Sender: TObject);
begin

   dmbd2.qListaVisitantes.Close;
   dmbd2.qListaVisitantes.Open;

   while not dmbd2.qListaVisitantes.Eof do
   begin
      cbNomeVisitante.Items.Add(dmbd2.qListaVisitantes.Fields[0].AsString);
      dmbd2.qListaVisitantes.Next;
   end;
   dmbd2.qListaVisitantes.Close;

   dmbd2.qListaFuncionario.Close;
   dmbd2.qListaFuncionario.Open;
   while not dmbd2.qListaFuncionario.Eof do
   begin
      cbNomeFunc.Items.Add(dmbd2.qListaFuncionario.Fields[0].AsString);
      dmbd2.qListaFuncionario.Next;
   end;
   dmbd2.qListaFuncionario.Close;

   dmbd2.qListaDetento.Close;
   dmbd2.qListaDetento.Open;
   while not dmbd2.qListaDetento.Eof do
   begin
      cbNomeDetentoVisitado.Items.Add(dmbd2.qListaDetento.Fields[0].AsString);
      dmbd2.qListaDetento.Next;
   end;
   dmbd2.qListaDetento.Close;

end;

procedure TfrmCadastroVisitas.btnCadFuncClick(Sender: TObject);
var rgvisitantetemp, codfunctemp, rgdetentotemp : string;
begin


    if cbNomeVisitante.Text <> '(Selecione uma opo)' then
    begin

        if  cbNomeFunc.Text <> '(Selecione uma opo)' then
        begin

            if cbNomeDetentoVisitado.Text <>  '(Selecione uma opo)' then
            begin

                if mskDataVisita.Text <> '  /  /  ' then
                begin

                    if mskHoraVisita.Text <> '  :  ' then
                    begin

                        try
                          dmbd2.qRGVisitante.Close;
                          dmbd2.qRGVisitante.Params[0].AsString := cbNomeVisitante.Text;
                          dmbd2.qRGVisitante.Open;
                          rgvisitantetemp := dmbd2.qRGVisitante.Fields[0].AsString;

                          dmbd2.qRGVisitante.Close;

                          dmbd2.qCodGerente.Close;
                          dmbd2.qCodGerente.Params[0].AsString := cbNomeFunc.Text;
                          dmbd2.qCodGerente.Open;
                          codfunctemp := dmbd2.qCodGerente.Fields[0].AsString;
                          dmbd2.qCodGerente.Close;

                          dmbd2.qRGDetento.Close;
                          dmbd2.qRGDetento.Params[0].AsString := cbNomeDetentoVisitado.Text;
                          dmbd2.qRGDetento.Open;
                          rgdetentotemp := dmbd2.qRGDetento.Fields[0].AsString;
                          dmbd2.qRGDetento.Close;

                          dmbd2.spCadVisitas.Close;
                          dmbd2.spCadVisitas.Params[0].AsString := rgvisitantetemp;
                          dmbd2.spCadVisitas.Params[1].AsString := codfunctemp;
                          dmbd2.spCadVisitas.Params[2].AsString := rgdetentotemp;

                          dmbd2.spCadVisitas.Params[3].Clear;
                          if trim(edtOcorrencias.Text) <> '' then
                              dmbd2.spCadVisitas.Params[3].AsString := edtOcorrencias.Text;

                          dmbd2.spCadVisitas.Params[4].AsDateTime := StrToDateTime(mskDataVisita.Text
                                                      + ' ' + mskHoraVisita.Text);

                          dmbd2.spCadVisitas.Params[5].Clear;
                          if trim(edtPresentes.Text) <> ''  then
                              dmbd2.spCadVisitas.Params[5].AsString := edtPresentes.Text;


                          dmbd2.spCadVisitas.Params[6].Clear;
                          if trim(edtVinculo.Text) <> '' then
                              dmbd2.spCadVisitas.Params[6].AsString := edtVinculo.Text;

                          dmbd2.spCadVisitas.ExecProc;
                          MessageDlg('Visita cadastrada com sucesso.', mtInformation, [mbOK], 0 );

                        except on EDBEngineError do
                            MessageDlg('Esta visita j consta no Sistema '
                                        + #13 + 'ou ocorreram problemas no Banco de Dados.', mtError, [mbOK], 0 );
                        end;

                    end
                    else
                        MessageDlg('Informe a hora em que ocorreu a visita.', mtError, [mbOK], 0 );

                end
                else
                    MessageDlg('Informe o dia em que ocorreu a visita.', mtError, [mbOK], 0 );
            end
            else
                MessageDlg('Selecione o nome do detento visitado.', mtError, [mbOK], 0 );
        end
        else
            MessageDlg('Selecione o nome do funcionrio que realizou a revista.', mtError, [mbOK], 0 );
    end
    else
        MessageDlg('Selecione o nome do visitante.', mtError, [mbOK], 0 );




end;

procedure TfrmCadastroVisitas.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
    cbNomeDetentoVisitado.Clear;
    cbNomeDetentoVisitado.Text := '(Selecione uma opo)';
    cbNomeVisitante.Clear;
    cbNomeVisitante.Text := '(Selecione uma opo)';
    cbNomeFunc.Clear;
    cbNomeFunc.Text := '(Selecione uma opo)';
    frmUtil.LimpaEdit(Self);
end;

end.



